import React, { Component } from 'react';
import Images from '../assets/Images';
import { TextField, InputAdornment, Button, Typography } from '@material-ui/core';


class ResetPassword extends Component {
    constructor(props) {
        super(props)
        this.state = {
            username: '',
            password: ''
        }
    }

    user(username) {
        this.setState({
          username: username
        })
        
      }
      
    render() {
        return (
          <div style={{ flex: 1, display: 'flex', backgroundColor: '#51c6ea', height: '100vh', justifyContent: 'center', alignItems: 'center' }}>
              <div style={{padding: 60, display: 'flex', flexDirection: 'column', width: 318, height: 351, borderRadius: 12, boxShadow: '0 2 4 0 rgba(0, 0, 0, 0.2)', backgroundColor: '#ffffff' }}>
                <img src={Images.tia} />

                <TextField
                    label="Email *"
                    id="username"
                    type={"text"}
                    name={"username"}
                    value={this.state.username}
                    onChange={(username) => this.setState({username: username.target.value})}
                    variant="outlined"
                    error={false}
                    style={{ width: 250, height: 51, margin: 32, fontSize: 14 }}
                    helperText=""
                    InputProps={{
                        endAdornment: <InputAdornment position="end"><img src={Images.email} /></InputAdornment>,
                    }}
                />

                <Button variant="contained" style={{ width: 250, height: 51, marginLeft: 32, marginBottom: 24, borderRadius: 4 }} disabled>
                    <Typography style={{fontSize: 12}}>Lanjut</Typography>
                </Button>
              </div>
          </div>
        );
      }
}

export default ResetPassword;